local M = {}

local helper = require('scenario/scenariohelper')

local function onRaceWaypoint(data)
    if data.waypointName == 'WayPoint18' then
        helper.flashUiMessage('The coal has now been delivered to the generator.', 5)
    elseif data.waypointName == 'WayPoint26' then
        helper.flashUiMessage('You have a brief, horrible thought - was it 235 or 238? Nevertheless, you must be sure.', 5)
    end
end

M.onRaceWaypoint = onRaceWaypoint

return M